For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Calculator
OverviewAPI Endpoints
OverviewAPI Endpoints
  • Endpoints
      • POSTRegister a new user
      • POSTLog in and obtain JWT tokens
      • GETVerify email address
      • POSTRequest password reset
      • POSTReset password
Calculator
LogoLogo
EndpointsAuthentication

Register a new user

POST
https://api.finput.com.au/api/v1/auth/register
POST
/api/v1/auth/register
$curl -X POST https://api.finput.com.au/api/v1/auth/register \
> -H "Content-Type: application/json" \
> -d '{
> "email": "email",
> "password": "password",
> "first_name": "first_name",
> "last_name": "last_name"
>}'
1{
2 "message": "Registration successful. Check your email for verification.",
3 "user": {
4 "id": 1,
5 "email": "email",
6 "first_name": "first_name",
7 "last_name": "last_name",
8 "organisation_id": 1,
9 "is_admin": true,
10 "is_staff": true,
11 "is_active": true,
12 "is_email_verified": true,
13 "is_superuser": true,
14 "created": "2024-01-15T09:30:00Z",
15 "groups": [
16 {}
17 ]
18 }
19}
Creates a new user account and sends an email verification link.
Was this page helpful?

Log in and obtain JWT tokens

Next
Built with

Request

This endpoint expects an object.
emailstringRequired
passwordstringRequired=8 characters
first_namestringRequired
last_namestringRequired
user_typeslist of stringsOptional
Group names to assign to the user
organisation_idintegerOptional
ID of the organisation to associate the user with

Response

User registered successfully
messagestring
userobject

Errors

400
Register Request Bad Request Error